%global srcname pytest-fixture-config
%global sum Simple configuration objects for Py.test fixtures
%global desc \
Simple configuration objects for Py.test fixtures. \
Allows you to skip tests when their required config variables aren´t set. \

Name:           python-%{srcname}
Version:        1.2.11
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools_git
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  python2-pytest
BuildRequires:  python2-six
%else
BuildRequires:  pytest
BuildRequires:  python-six
%endif

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-setuptools_git

%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-pytest
BuildRequires:  python%{python3_other_pkgversion}-six
BuildRequires:  python%{python3_other_pkgversion}-setuptools_git
%endif

%description %{desc}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
%if 0%{?fedora} || 0%{?rhel} >= 8
Requires:  python2-pytest
%else
Requires:  pytest
%endif

%description -n python2-%{srcname} %{desc}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:  %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Requires: python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{srcname} %{desc}

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:  %{sum}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}
Requires: python%{python3_other_pkgversion}-pytest

%description -n python%{python3_other_pkgversion}-%{srcname} %{desc}
%endif

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif

%install
%py2_install
%py3_install
%if 0%{?with_python3_other}
%py3_other_install
%endif

%check
%{__python2} setup.py test
%{__python3} setup.py test
%if 0%{?with_python3_other}
%{__python3_other} setup.py test
%endif

%files -n python2-%{srcname}
%doc README.md CHANGES.md
%{python2_sitelib}/*

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md CHANGES.md
%{python3_sitelib}/*

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%doc README.md CHANGES.md
%{python3_other_sitelib}/*
%endif

%changelog
* Fri Oct 06 2017 Aurelien Bompard <abompard@fedoraproject.org> - 1.2.11-3
- Build for python3_other

* Thu Jul 27 2017 Kevin Fenzi <kevin@scrye.com> - 1.2.11-2
- Add Requires for pytest

* Wed Jul 26 2017 Kevin Fenzi <kevin@scrye.com> - 1.2.11-1
- Initial version. 
